App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
mhr.appcore.blending.BlendMode Enum Reference

Výčet existujících blendovacích módů, ne všechny jsou ale podporovány. More...

## Public Member Functions
int | getValue ()
| Vrátí hodnotu, která odpovídá hodnotě nativního výčtu.

## Static Public Member Functions
| [static initializer]
static BlendMode | fromValue (int index)
| Vrátí hodnotu výčtu, která odpovídá nativní hodnotě. Pokud je tato hodnota neplatná, nastaví se normální blendovací mód.

## Public Attributes
| BLEND_MODE_NORMAL =(0)
| BLEND_MODE_DISSOLVE =(1)
| BLEND_MODE_BEHIND =(2)
| BLEND_MODE_CLEAR =(3)
| BLEND_MODE_DARKEN =(4)
| BLEND_MODE_MULTIPLY =(5)
| BLEND_MODE_COLOR_BURN =(6)
| BLEND_MODE_LINEAR_BURN =(7)
| BLEND_MODE_DARKER_COLOR =(8)
| BLEND_MODE_LIGHTEN =(9)
| BLEND_MODE_SCREEN =(10)
| BLEND_MODE_COLOR_DODGE =(11)
| BLEND_MODE_LINEAR_DODGE_ADD =(12)
| BLEND_MODE_LIGHTER_COLOR =(13)
| BLEND_MODE_OVERLAY =(14)
| BLEND_MODE_SOFT_LIGHT =(15)
| BLEND_MODE_HARD_LIGHT =(16)
| BLEND_MODE_VIVID_LIGHT =(17)
| BLEND_MODE_LINEAR_LIGHT =(18)
| BLEND_MODE_PIN_LIGHT =(19)
| BLEND_MODE_HARD_MIX =(20)
| BLEND_MODE_DIFFERENCE =(21)
| BLEND_MODE_EXCLUSION =(22)
| BLEND_MODE_SUBTRACT =(23)
| BLEND_MODE_DIVIDE =(24)
| BLEND_MODE_HUE =(25)
| BLEND_MODE_SATURATION =(26)
| BLEND_MODE_COLOR =(27)
| BLEND_MODE_LUMINOSITY =(28)

## Private Member Functions
| BlendMode (int nativeEnumValue)
| Výchozí konstruktor, přiřadí výčtu nativní hodnotu.

## Private Attributes
final int | nativeEnumValue
| Hodnota odpovídající nativnímu výčtu.

## Static Private Attributes
staticfinal BlendMode[] | lut = new BlendMode[29]
| LUT tabulka pro rychlý převod.

## Detailed Description

Výčet existujících blendovacích módů, ne všechny jsou ale podporovány.

Definition at line 6 of file BlendMode.java.

## Constructor & Destructor Documentation

mhr.appcore.blending.BlendMode.BlendMode | ( | int | nativeEnumValue | ) |
| inlineprivate

Výchozí konstruktor, přiřadí výčtu nativní hodnotu.

Parameters

  nativeEnumValue |

Definition at line 63 of file BlendMode.java.

{
this.nativeEnumValue = nativeEnumValue;
}

## Member Function Documentation

mhr.appcore.blending.BlendMode.[static initializer] | ( |  | ) |
| inlinestatic

static BlendMode mhr.appcore.blending.BlendMode.fromValue | ( | int | index | ) |
| inlinestatic

Vrátí hodnotu výčtu, která odpovídá nativní hodnotě. Pokud je tato hodnota neplatná, nastaví se normální blendovací mód.

Parameters

  index |

Returns

Definition at line 80 of file BlendMode.java.

{
try {
return lut[index];
} catch (IndexOutOfBoundsException exc) {
return BlendMode.BLEND_MODE_NORMAL;
}
}

int mhr.appcore.blending.BlendMode.getValue | ( |  | ) |
| inline

Vrátí hodnotu, která odpovídá hodnotě nativního výčtu.

Returns

Definition at line 71 of file BlendMode.java.

{
return nativeEnumValue;
}

## Member Data Documentation

mhr.appcore.blending.BlendMode.BLEND_MODE_BEHIND =(2)

Definition at line 12 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_CLEAR =(3)

Definition at line 13 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_COLOR =(27)

Definition at line 47 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_COLOR_BURN =(6)

Definition at line 18 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_COLOR_DODGE =(11)

Definition at line 25 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_DARKEN =(4)

Definition at line 16 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_DARKER_COLOR =(8)

Definition at line 20 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_DIFFERENCE =(21)

Definition at line 39 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_DISSOLVE =(1)

Definition at line 9 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_DIVIDE =(24)

Definition at line 42 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_EXCLUSION =(22)

Definition at line 40 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_HARD_LIGHT =(16)

Definition at line 32 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_HARD_MIX =(20)

Definition at line 36 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_HUE =(25)

Definition at line 45 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LIGHTEN =(9)

Definition at line 23 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LIGHTER_COLOR =(13)

Definition at line 27 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LINEAR_BURN =(7)

Definition at line 19 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LINEAR_DODGE_ADD =(12)

Definition at line 26 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LINEAR_LIGHT =(18)

Definition at line 34 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_LUMINOSITY =(28)

Definition at line 48 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_MULTIPLY =(5)

Definition at line 17 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_NORMAL =(0)

Definition at line 8 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_OVERLAY =(14)

Definition at line 30 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_PIN_LIGHT =(19)

Definition at line 35 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_SATURATION =(26)

Definition at line 46 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_SCREEN =(10)

Definition at line 24 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_SOFT_LIGHT =(15)

Definition at line 31 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_SUBTRACT =(23)

Definition at line 41 of file BlendMode.java.

mhr.appcore.blending.BlendMode.BLEND_MODE_VIVID_LIGHT =(17)

Definition at line 33 of file BlendMode.java.

static final BlendMode [] mhr.appcore.blending.BlendMode.lut = new BlendMode[29]
| staticprivate

LUT tabulka pro rychlý převod.

Definition at line 50 of file BlendMode.java.

final int mhr.appcore.blending.BlendMode.nativeEnumValue
| private

Hodnota odpovídající nativnímu výčtu.

Definition at line 57 of file BlendMode.java.

The documentation for this enum was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/blending/BlendMode.java